::-------------------------------------------------------------------
:: mdhA3versionSwich.bat created by moerderhoschi - 06.2016
:: this batch program switch the ArmA3 Version between Dev and Stable
:: attention, use this tool/mdhA3versionSwitch.bat on your own risk
::-------------------------------------------------------------------
@echo off
::-------------------------------------------------------------------
:: pathParameter must be set before tool can be used
:: example: _myArmA3SteamPath=C:\Games\Steam\steamapps\common\Arma 3
::-------------------------------------------------------------------
set _myArmA3SteamPath=


::----------------------------------------
:: DO NOT CHANGE ANYTHING UNDER THIS LINE!
::----------------------------------------
echo ***********************************************************
echo * mdhA3versionSwich
echo * switch fast between A3 Stable and Dev
echo * made by moerderhoschi
echo * armed-assault.de
echo * v2016.06.26
echo ***********************************************************

IF "%_myArmA3SteamPath%"==""  GOTO PATHNOTSET
set _p=%_myArmA3SteamPath%

:: check if arma3.exe found
if not exist "%_p%\arma3.exe" GOTO EXENOTFOUND

:: check if steam is active
tasklist /fi "imagename eq steam.exe" |find ":" > nul
if errorlevel 1 GOTO STEAMSTILLON

:: change dir
cd /d %_p%
cd..
cd..
set _p=%cd%

:: check if arma 3 stuff is available
if not exist "%_p%\appmanifest_107410.acf" GOTO ACFERROR
if not exist "%_p%\common\Arma 3\" GOTO FOLDERERROR

:: check if stable is active or not
if exist "%_p%\xStable_appmanifest_107410.acf" ( set _stableFile=1 ) else ( set _stableFile=0 )
if exist "%_p%\common\xStable_Arma 3\" ( set _stableFolder=1 ) else ( set _stableFolder=0 )

:: check if dev is active or not
if exist "%_p%\xDev_appmanifest_107410.acf" ( set _devFile=1 ) else ( set _devFile=0 )
if exist "%_p%\common\xDev_Arma 3\" ( set _devFolder=1 ) else ( set _devFolder=0 )

:: check case and activate stable or dev
if %_stableFile%==0 ( if %_stableFolder%==0 ( if %_devFile%==0 ( if %_devFolder%==0 ( GOTO CREATE) ) ) )
if %_stableFile%==1 ( if %_stableFolder%==1 ( if %_devFile%==0 ( if %_devFolder%==0 ( GOTO STABLE) ) ) )
if %_stableFile%==0 ( if %_stableFolder%==0 ( if %_devFile%==1 ( if %_devFolder%==1 ( GOTO DEV) ) ) )
:: if no case match goTo error
GOTO ERROR


:CREATE
:: no stable or dev folder found so we need to create those
echo no common\xStable_Arma 3 or common\xDev_Arma 3 folder found, now creating
echo.
echo attention, a complete copy of you Arma 3 folder will be made
echo be sure you have enough diskspace
echo.
echo which version of Arma 3 is currently installed,
echo for Stable choose 1, for Dev choose 2, to abort choose x
echo.
set wahl=3
set /p wahl=
IF %wahl%==1 GOTO CREATESTABLE
IF %wahl%==2 GOTO CREATEDEV
echo selection not valid .bat is ending
GOTO TIMEOUT

:CREATESTABLE
echo.
echo copy of your Arma 3 folder to xStable_Arma 3 is starting
echo.
timeout /t 5
copy "appmanifest_107410.acf" "xStable_appmanifest_107410.acf"
echo COPIED FILE appmanifest_107410.acf TO xStable_appmanifest_107410.acf
xcopy "%_p%\common\Arma 3" "%_p%\common\xStable_Arma 3" /I /S /E
echo COPIED FOLDER \common\Arma 3 TO \common\xStable_Arma 3
echo.
echo ---------------------------------------------------------------------------
echo xStable_Arma 3 folder created, now switch your version in Steam to Dev
echo after steamDownload finished use mdhA3versionSwitch.bat to switch to Stable
pause
exit

:CREATEDEV
echo.
echo copy of your Arma 3 folder to xDev_Arma 3 is starting
echo.
timeout /t 5
copy "appmanifest_107410.acf" "xDev_appmanifest_107410.acf"
echo COPIED FILE appmanifest_107410.acf TO xDev_appmanifest_107410.acf
xcopy "%_p%\common\Arma 3" "%_p%\common\xDev_Arma 3" /I /S /E
echo COPIED FOLDER \common\Arma 3 TO \common\xDev_Arma 3
echo.
echo ------------------------------------------------------------------------
echo xDev_Arma 3 folder created, now switch your version in Steam to Stable
echo after steamDownload finished use mdhA3versionSwitch.bat to switch to Dev
pause
exit

:STABLE
if %_devFile%==1 GOTO ERROR
if %_devFolder%==1 GOTO ERROR
rename "%_p%\appmanifest_107410.acf" "xDev_appmanifest_107410.acf"
echo RENAMED FILE appmanifest_107410.acf TO xDev_appmanifest_107410.acf
rename "%_p%\common\Arma 3\" "xDev_Arma 3"
echo RENAMED FOLDER \common\Arma 3 TO \common\xDev_Arma 3
rename "%_p%\xStable_appmanifest_107410.acf" "appmanifest_107410.acf"
echo RENAMED FILE xStable_appmanifest_107410.acf TO appmanifest_107410.acf
rename "%_p%\common\xStable_Arma 3\" "Arma 3"
echo RENAMED FOLDER \common\xStable_Arma 3 TO \common\Arma 3
echo.
echo Arma 3 STABLE version activated, steam can be started again
GOTO TIMEOUT

:DEV
if %_stableFile%==1 GOTO ERROR
if %_stableFolder%==1 GOTO ERROR
rename "%_p%\appmanifest_107410.acf" "xStable_appmanifest_107410.acf"
echo RENAMED FILE appmanifest_107410.acf TO xStable_appmanifest_107410.acf
rename "%_p%\common\Arma 3\" "xStable_Arma 3"
echo RENAMED FOLDER \common\Arma 3 TO \common\xStable_Arma 3
rename "%_p%\xDev_appmanifest_107410.acf" "appmanifest_107410.acf"
echo RENAMED FILE xDev_appmanifest_107410.acf TO appmanifest_107410.acf
rename "%_p%\common\xDev_Arma 3\" "Arma 3"
echo RENAMED FOLDER \common\xDev_Arma 3 TO \common\Arma 3
echo.
echo Arma 3 DEV version activated, steam can be started again
GOTO TIMEOUT

:ACFERROR
echo error, appmanifest_107410.acf file could not be found in %_p%
echo check if path is correct!
GOTO TIMEOUT

:FOLDERERROR
echo error, Arma 3 folder can not be found in %_p%\common
echo check if path is correct!
GOTO TIMEOUT

:ERROR
echo error, stable or dev can not be verified!
GOTO TIMEOUT

:STEAMSTILLON
echo error, steam must be closed before changing version!
GOTO TIMEOUT

:EXENOTFOUND
echo error, arma3.exe not found in _myArmA3SteamPath: %_myArmA3SteamPath%
echo check if path is correct!
GOTO TIMEOUT

:PATHNOTSET
echo _myArmA3SteamPath parameter not set in mdhA3versionSwitch.bat File, please set Parameter first!
GOTO TIMEOUT

:TIMEOUT
timeout /t 20
exit